Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.convert
Class BaseV20Converter

    java.lang.Object
      org.directwebremoting.convert.BaseV20Converter

All Implemented Interfaces:
  Converter

Direct Known Subclasses:
  ArrayConverter, BasicObjectConverter, BigNumberConverter, CharArrayConverter, CollectionConverter, ConstructorConverter, DateConverter, DOM4JConverter, DOMConverter, EnumConverter, JDOMConverter, PrimitiveConverter, ServletConverter, StringConverter, URLConverter, XOMConverter

    public abstract class BaseV20Converter

extends java.lang.Object
implements Converter

A way to migrate from the DWRv2.0 Converter style to something in the future. Inheriting from this is advised to help with forwards compatibility.

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Constructor Summary
`BaseV20Converter()`

Method Summary
`void` | `setConverterManager(ConverterManager config)` If we are a compound converter that farms out part of the conversion to other converters then you farm the conversion out via a configuration.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.directwebremoting.extend.Converter
`convertInbound, convertOutbound`

Constructor Detail

### BaseV20Converter

    public BaseV20Converter()

Method Detail

### setConverterManager

    public void setConverterManager(ConverterManager config)

  Description copied from interface: `Converter`
  If we are a compound converter that farms out part of the conversion to other converters then you farm the conversion out via a configuration.

  Specified by:
    `setConverterManager` in interface `Converter`
  Parameters:
    `config` - The confiuration object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD